Index: src/Actions/AnalysisAction/DipoleAngularCorrelationAction.cpp
===================================================================
--- src/Actions/AnalysisAction/DipoleAngularCorrelationAction.cpp	(revision 870b4b91fe9f0b1046abb0bc933ec99ffab7aed1)
+++ src/Actions/AnalysisAction/DipoleAngularCorrelationAction.cpp	(revision c3a70d2e1acd8ae14b6afd834b7b50bae96f66e5)
@@ -63,5 +63,5 @@
   // select atoms and obtain zero dipole orientation
   Formula DipoleFormula(params.DipoleFormula);
-  World::getInstance().setTime(0);
+  World::getInstance().setTime(params.timestepzero);
   World::getInstance().clearMoleculeSelection(); // TODO: This should be done in setTime or where molecules are re-done
   World::getInstance().selectAllMolecules(MoleculeByFormula(DipoleFormula));
@@ -73,6 +73,13 @@
   World::getInstance().selectAllAtoms(AtomsByMoleculeSelection());
   std::vector<atom *> atoms = World::getInstance().getSelectedAtoms();
+  ASSERT(!atoms.empty(),
+      "AnalysisDipoleAngularCorrelationAction::performCall() - "
+      +toString(DipoleFormula)+" selects no atoms.");
   range<size_t> timesteps = getMaximumTrajectoryBounds(atoms);
-  for (size_t step = 0; step < timesteps.first; ++step) {
+  ASSERT(params.timestepzero < timesteps.first,
+    "AnalysisDipoleAngularCorrelationAction::performCall() - time step zero "
+    +toString(params.timestepzero)+" is beyond trajectory range ("
+    +toString(timesteps.first)+") of some atoms.");
+  for (size_t step = params.timestepzero; step < timesteps.first; ++step) {
     // calculate dipoles relative to zero orientation
     DipoleAngularCorrelationMap *correlationmap = NULL;
Index: src/Actions/AnalysisAction/DipoleAngularCorrelationAction.def
===================================================================
--- src/Actions/AnalysisAction/DipoleAngularCorrelationAction.def	(revision 870b4b91fe9f0b1046abb0bc933ec99ffab7aed1)
+++ src/Actions/AnalysisAction/DipoleAngularCorrelationAction.def	(revision c3a70d2e1acd8ae14b6afd834b7b50bae96f66e5)
@@ -13,9 +13,9 @@
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
 // "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
-#define paramtypes (std::string)(double)(double)(double)(boost::filesystem::path)(boost::filesystem::path)(bool)
-#define paramreferences (DipoleFormula)(BinStart)(BinWidth)(BinEnd)(outputname)(binoutputname)(periodic)
-#define paramtokens ("dipole-angular-correlation")("bin-start")("bin-width")("bin-end")("output-file")("bin-output-file")("periodic")
-#define paramdescriptions ("formula of molecules to calculate dipole of")("start of the first bin")("width of the bins")("start of the last bin")("name of the output file")("name of the bin output file")("system is constraint to periodic boundary conditions")
-#define paramdefaults (NODEFAULT)(NODEFAULT)("0.5")(NODEFAULT)(NODEFAULT)(NODEFAULT)("0")
+#define paramtypes (std::string)(double)(double)(double)(boost::filesystem::path)(boost::filesystem::path)(bool)(unsigned int)
+#define paramreferences (DipoleFormula)(BinStart)(BinWidth)(BinEnd)(outputname)(binoutputname)(periodic)(timestepzero)
+#define paramtokens ("dipole-angular-correlation")("bin-start")("bin-width")("bin-end")("output-file")("bin-output-file")("periodic")("time-step-zero")
+#define paramdescriptions ("formula of molecules to calculate dipole of")("start of the first bin")("width of the bins")("start of the last bin")("name of the output file")("name of the bin output file")("system is constraint to periodic boundary conditions")("initial time step to correlate following ones against")
+#define paramdefaults (NODEFAULT)(NODEFAULT)("0.5")(NODEFAULT)(NODEFAULT)(NODEFAULT)("0")("0")
 
 // some defines for all the names, you may use ACTION, STATE and PARAMS
Index: tests/regression/Analysis/DipoleAngularCorrelation/testsuite-analysis-dipole-angular-correlation.at
===================================================================
--- tests/regression/Analysis/DipoleAngularCorrelation/testsuite-analysis-dipole-angular-correlation.at	(revision 870b4b91fe9f0b1046abb0bc933ec99ffab7aed1)
+++ tests/regression/Analysis/DipoleAngularCorrelation/testsuite-analysis-dipole-angular-correlation.at	(revision c3a70d2e1acd8ae14b6afd834b7b50bae96f66e5)
@@ -4,5 +4,5 @@
 AT_KEYWORDS([analysis dipole correlation pdb dipole-angular-correlation])
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Analysis/DipoleAngularCorrelation/pre/watermulti_X.pdb .], 0)
-AT_CHECK([../../molecuilder -v 4 -i watermulti_X.pdb -o pdb -I --select-all-atoms --dipole-angular-correlation H2O --bin-start -5 --bin-width 10. --bin-end 184.5 --output-file water_values --bin-output-file water_histogram], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder -v 4 -i watermulti_X.pdb -o pdb --dipole-angular-correlation H2O --bin-start -5 --bin-width 10. --bin-end 184.5 --time-step-zero 0 --output-file water_values --bin-output-file water_histogram], 0, [stdout], [stderr])
 i=0; while test $i -ne 36; do 
 	step=`printf %04d $i`
@@ -16,5 +16,5 @@
 AT_KEYWORDS([analysis dipole correlation pdb dipole-angular-correlation])
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Analysis/DipoleAngularCorrelation/pre/watermulti_Y.pdb .], 0)
-AT_CHECK([../../molecuilder -v 4 -i watermulti_Y.pdb -o pdb -I --select-all-atoms --dipole-angular-correlation H2O --bin-start -5 --bin-width 10. --bin-end 184.5 --output-file water_values --bin-output-file water_histogram], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder -v 4 -i watermulti_Y.pdb -o pdb --dipole-angular-correlation H2O --bin-start -5 --bin-width 10. --bin-end 184.5 --time-step-zero 0 --output-file water_values --bin-output-file water_histogram], 0, [stdout], [stderr])
 i=0; while test $i -ne 36; do 
 	step=`printf %04d $i`
@@ -28,5 +28,5 @@
 AT_KEYWORDS([analysis dipole correlation xyz dipole-angular-correlation])
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Analysis/DipoleAngularCorrelation/pre/watermulti_X.xyz .], 0)
-AT_CHECK([../../molecuilder -v 4 -i watermulti_X.xyz -o xyz -I --select-all-atoms --dipole-angular-correlation H2O --bin-start -5 --bin-width 10. --bin-end 184.5 --output-file water_values --bin-output-file water_histogram], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder -v 4 -i watermulti_X.xyz -o xyz -I --dipole-angular-correlation H2O --bin-start -5 --bin-width 10. --bin-end 184.5 --time-step-zero 0 --output-file water_values --bin-output-file water_histogram], 0, [stdout], [stderr])
 i=0; while test $i -ne 36; do 
 	step=`printf %04d $i`
@@ -40,5 +40,5 @@
 AT_KEYWORDS([analysis dipole correlation xyz dipole-angular-correlation])
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Analysis/DipoleAngularCorrelation/pre/watermulti_Y.xyz .], 0)
-AT_CHECK([../../molecuilder -v 4 -i watermulti_Y.xyz -o xyz -I --select-all-atoms --dipole-angular-correlation H2O --bin-start -5 --bin-width 10. --bin-end 184.5 --output-file water_values --bin-output-file water_histogram], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder -v 4 -i watermulti_Y.xyz -o xyz -I --dipole-angular-correlation H2O --bin-start -5 --bin-width 10. --bin-end 184.5 --time-step-zero 0 --output-file water_values --bin-output-file water_histogram], 0, [stdout], [stderr])
 i=0; while test $i -ne 36; do 
 	step=`printf %04d $i`
